org.encog.neural.flat

## Class FlatLayer

- java.lang.Object
- - org.encog.neural.flat.FlatLayer

- Direct Known Subclasses:
    BasicLayer

      public class FlatLayer
      extends Object

  Used to configure a flat layer. Flat layers are not kept by a Flat Network, beyond setup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatLayer()` Do not use this constructor.
    `FlatLayer(ActivationFunction activation, int count, double biasActivation)` Construct a flat layer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationFunction` | `getActivation()`
    `double` | `getBiasActivation()`
    `int` | `getContextCount()`
    `FlatLayer` | `getContextFedBy()`
    `int` | `getCount()`
    `int` | `getTotalCount()`
    `boolean` | `hasBias()`
    `void` | `setActivation(ActivationFunction activation)`
    `void` | `setBiasActivation(double a)` Set the bias activation.
    `void` | `setContextFedBy(FlatLayer from)` Set the layer that this layer's context is fed by.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatLayer

          public FlatLayer()

      Do not use this constructor. This was added to support serialization.

    - #### FlatLayer

          public FlatLayer(ActivationFunction activation,
                   int count,
                   double biasActivation)

      Construct a flat layer.
      Parameters:
        `activation` - The activation function.
        `count` - The neuron count.
        `biasActivation` - The bias activation.

  - ### Method Detail

    - #### getActivation

          public ActivationFunction getActivation()

      Returns:
        the activation

    - #### getBiasActivation

          public double getBiasActivation()

      Returns:
        Get the bias activation.

    - #### getContextCount

          public int getContextCount()

      Returns:
        The number of neurons our context is fed by.

    - #### getContextFedBy

          public FlatLayer getContextFedBy()

      Returns:
        The layer that feeds this layer's context.

    - #### getCount

          public int getCount()

      Returns:
        the count

    - #### getTotalCount

          public int getTotalCount()

      Returns:
        The total number of neurons on this layer, includes context, bias and regular.

    - #### hasBias

          public boolean hasBias()

      Returns:
        the bias

    - #### setActivation

          public void setActivation(ActivationFunction activation)

      Parameters:
        `activation` - the activation to set

    - #### setBiasActivation

          public void setBiasActivation(double a)

      Set the bias activation.
      Parameters:
        `a` - The bias activation.

    - #### setContextFedBy

          public void setContextFedBy(FlatLayer from)

      Set the layer that this layer's context is fed by.
      Parameters:
        `from` - The layer feeding.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.